package com.hw.dms.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 设备采购信息对象 dms_base_device_purchase
 *
 * @author xins
 * @date 2024-01-09
 */
public class DmsBaseDevicePurchase extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long devicePurchaseId;

    /** 计划编号 */
    @Excel(name = "计划编号")
    private String workOrder;

    /** 设备ID,关联dms_base_device_ledger的device_id */
    @Excel(name = "设备ID,关联dms_base_device_ledger的device_id")
    private Long deviceId;

    /** 采购人 */
    @Excel(name = "采购人")
    private String purchasePerson;

    /** 采购地点 */
    @Excel(name = "采购地点")
    private String purchasePosition;

    /** 采购时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "采购时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date purchaseTime;
    private String deviceName;

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public void setDevicePurchaseId(Long devicePurchaseId)
    {
        this.devicePurchaseId = devicePurchaseId;
    }

    public Long getDevicePurchaseId()
    {
        return devicePurchaseId;
    }
    public void setWorkOrder(String workOrder)
    {
        this.workOrder = workOrder;
    }

    public String getWorkOrder()
    {
        return workOrder;
    }
    public void setDeviceId(Long deviceId)
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId()
    {
        return deviceId;
    }
    public void setPurchasePerson(String purchasePerson)
    {
        this.purchasePerson = purchasePerson;
    }

    public String getPurchasePerson()
    {
        return purchasePerson;
    }
    public void setPurchasePosition(String purchasePosition)
    {
        this.purchasePosition = purchasePosition;
    }

    public String getPurchasePosition()
    {
        return purchasePosition;
    }
    public void setPurchaseTime(Date purchaseTime)
    {
        this.purchaseTime = purchaseTime;
    }

    public Date getPurchaseTime()
    {
        return purchaseTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("devicePurchaseId", getDevicePurchaseId())
            .append("workOrder", getWorkOrder())
            .append("deviceId", getDeviceId())
            .append("purchasePerson", getPurchasePerson())
            .append("purchasePosition", getPurchasePosition())
            .append("purchaseTime", getPurchaseTime())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .toString();
    }
}
